Bug 237895 - Fully virtualized FC6 guests hang at random times
Fully virtualized FC6 guests hang at random times
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
6
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks: 427887
  Show dependency treegraph
 
Reported: 2007-04-25 17:49 EDT by Tom Horsley
Modified: 2008-02-07 23:28 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-07 23:28:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tom Horsley 2007-04-25 17:49:13 EDT
This is almost certainly the same as bug 234160 about rhel5 VMs, the
symptoms of the hang are identical, but I was requested to add this one so
the FC6 issue can be tracked separately from the rhel5 issue.

My last FC6 specific comment in that bug was:

>Continuing to add data points: The fc6 HVM, even with 1500MB of memory
>just crashed the same way. The last thing I noticed it doing was running
>beagle-build-index. I updated it to kernel-2.6.20-1.2944.fc6 and I'll
>see if it crashes again.

I'll just add that it has been up for about 4 hours now since I updated
the kernel, and it made it through all the cron jobs doing makewhatis
and prelink and beagle stuff, and hasn't crashed since, so perhaps this
is fixed in newer kernels than 2.6.18.
Comment 1 Tom Horsley 2007-04-26 07:20:13 EDT
Apparently more memory and newer kernel doesn't fix the hangs. Found it
at 100% cpu and non-responsive on console or to ssh again this morning.
I see the last thing in the cron log before I found it hung was:

Apr 26 05:10:01 fc6-x86-64 crond[3039]: (root) CMD (/usr/lib64/sa/sa1 1 1)

It did manage to get through a full yum update before it crashed though,
so perhaps it isn't the same disk I/O related crash I see on rhel5 after
all, but a new crash for some different reason.
Comment 2 Tom Horsley 2007-04-28 19:51:31 EDT
Found it hung again, but I have a comparison point this time. I also installed
an i386 fc6 HVM, and it has never experienced this hang, so whatever is going
on appears to be x86_64 specific (on the evidence so far, anyway).

Anyone know of anything that always happens around 5 am? So far the last
cron log entries have always shown the system was still alive around 5,
and then stopped responding.
Comment 3 Chuck Ebbert 2007-04-30 18:51:53 EDT
4-5AM is usually when cron jobs are running (makewhatis / prelink etc.)
Comment 4 Tom Horsley 2007-06-06 11:49:37 EDT
New data point: I'm trying to replace the fc6 guests with fedora 7 guests,
and the hangs are infinitely more frequent with fc7 fully virtual guests.
In fact, with the i386 guest, I can't even get it far enough to try installing.
It has done the hang at 100% cpu on the scanning for packages step as well
as the formatting disk step. So perhaps there is a simpler to reproduce
example out there now (weird that now the i386 is the one with the big problems
and x86_64 works better).

These are both guest installs using the virt-manager in the FC6 dom0 host
and the DVD iso's from the fedora 7 release to attempt the install.
Comment 5 Jon Stanley 2008-01-07 20:55:05 EST
(This is a mass-update to all current FC6 kernel bugs in NEW state)

Hello,

I'm reviewing this bug list as part of the kernel bug triage project, an attempt
to isolate current bugs in the Fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am CC'ing myself to this bug, however this version of Fedora is no longer
maintained.

Please attempt to reproduce this bug with a current version of Fedora (presently
Fedora 8). If the bug no longer exists, please close the bug or I'll do so in a
few days if there is no further information lodged.

Thanks for using Fedora!
Comment 6 Jon Stanley 2008-02-07 23:28:04 EST
Per the previous comment in this bug, I am closing it as INSUFFICIENT_DATA,
since no information has been lodged for over 30 days.

Please re-open this bug or file a new one if you can provide the requested data,
and thanks for filing the original report!

Note You need to log in before you can comment on or make changes to this bug.